## deltachat-core 0.39.0+ds

=== meson_options.txt ===
option(
  'monolith',
  type: 'boolean',
  value: false,
  description: 'Build a libdeltachat.so with minimal external dependencies'
)
option(
  'force-etpan-fallback',
  type: 'boolean',
  value: false,
  description: 'Use bundled libetpan, as it ignores --wrap-mode=forcefallback'
)

=== libs/netpgp/meson_options.txt ===
option(
  'bzip2',
  type: 'feature',
  value: 'auto',
  description: 'Include bzip2 support'
)
option(
  'openssl-camellia',
  type: 'feature',
  value: 'auto',
  description: 'Whether to compile in support for OpenSSL Camellia'
)
option(
  'openssl-idea',
  type: 'feature',
  value: 'auto',
  description: 'Whether to compile in support for OpenSSL IDEA'
)
option(
  'static-pic-lib',
  type: 'boolean',
  value: false,
  description: 'Build a static library with PIC support'
)

## deltachat-core 0.39.0

=== debian/changelog ===
deltachat-core (0.39.0-1+ds2) unstable; urgency=medium

  * Remove unnecessary hard-coded library dependencies (Closes: #919994)
  * Fix debian/copyright paths to licenses

 -- Micah Anderson <micah@debian.org>  Mon, 21 Jan 2019 10:14:52 -0500

deltachat-core (0.39.0-1+ds) unstable; urgency=medium

  * Initial release (Closes: #912430)

 -- Micah Anderson <micah@debian.org>  Sat, 19 Jan 2019 10:00:51 -0400

=== debian/control ===
Source: deltachat-core
Priority: optional
Maintainer: Micah Anderson <micah@debian.org>
Build-Depends: debhelper (>= 12), meson, pkg-config, libetpan-dev, libssl-dev, libsqlite3-dev, libsasl2-dev, libbz2-dev, zlib1g-dev, ninja-build, git, doxygen
Standards-Version: 4.3.0
Section: libs
Homepage: https://delta.chat/
Vcs-Git: https://github.com/deltachat/deltachat-core.git
Vcs-Browser: https://github.com/deltachat/deltachat-core

Package: libdeltachat0-dev
Section: libdevel
Architecture: any
Depends: libdeltachat0 (= ${binary:Version}), ${misc:Depends}
Description: Delta.Chat development files
 Delta Chat is a modern messenger. It is like email in a new dress.
 Just better, safer and user-optimised. This package provides the
 Delta Chat development files.

Package: libdeltachat0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Delta.Chat shared libraries
 Delta Chat is a modern messenger. It is like email in a new dress.
 Just better, safer and user-optimised. This package provides the
 Delta Chat shared libraries.

Package: libdeltachat0-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
Description: Delta.Chat API documentation
 Delta Chat is a modern messenger. It is like email in a new dress.
 Just better, safer and user-optimised. This package provides the
 Delta Chat API documentation.

## deltachat-core 0.39.0+ds

=== debian/changelog ===
deltachat-core (0.39.0+ds-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix broken version string. The source code is untouched.
  * Rebuild as a source-only upload to allow testing migration.
  * debian/control:
    + Mark Multi-Arch status for each package.
    + debian/*.dirs: Removed, not needed.
  
  [ Vagrant Cascadian ]
  * debian/control: Update Vcs-* to point to salsa.debian.org.

 -- Boyuan Yang <byang@debian.org>  Sun, 08 Dec 2019 12:18:38 -0500

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Standards-Version: 4.3.0
 Section: libs
 Homepage: https://delta.chat/
-Vcs-Git: https://github.com/deltachat/deltachat-core.git
-Vcs-Browser: https://github.com/deltachat/deltachat-core
+Vcs-Git: https://salsa.debian.org/debian/deltachat-core.git
+Vcs-Browser: https://salsa.debian.org/debian/deltachat-core
 
 Package: libdeltachat0-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libdeltachat0 (= ${binary:Version}), ${misc:Depends}
 Description: Delta.Chat development files
  Delta Chat is a modern messenger. It is like email in a new dress.
@@ -19,6 +20,7 @@
 
 Package: libdeltachat0
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Delta.Chat shared libraries
  Delta Chat is a modern messenger. It is like email in a new dress.
@@ -28,6 +30,7 @@
 Package: libdeltachat0-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
 Description: Delta.Chat API documentation
  Delta Chat is a modern messenger. It is like email in a new dress.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_build-indep:
	(cd docs && doxygen)
	rm docs/html/jquery.js
	ln -sf /usr/share/javascript/jquery/jquery.js docs/html/jquery.js

%:
	dh $@

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/archive\/(v\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/,repack,dversionmangle=s/\+ds$//,repacksuffix=+ds,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/deltachat-core-$1\.tar\.gz/ \
  https://github.com/deltachat/deltachat-core/tags .*/v?(\d\S+)\.tar\.gz

## deltachat-core 0.45.0%2Bds

=== debian/changelog ===
deltachat-core (0.45.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #952619
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Update symbols file
  * Remove useless gbp.conf

 -- Andreas Tille <tille@debian.org>  Sat, 02 May 2020 23:13:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: deltachat-core
 Priority: optional
 Maintainer: Micah Anderson <micah@debian.org>
-Build-Depends: debhelper (>= 12), meson, pkg-config, libetpan-dev, libssl-dev, libsqlite3-dev, libsasl2-dev, libbz2-dev, zlib1g-dev, ninja-build, git, doxygen
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12), meson, pkg-config, libetpan-dev, libssl-dev, libsqlite3-dev, libsasl2-dev, libbz2-dev, zlib1g-dev, ninja-build, git, doxygen
+Standards-Version: 4.5.0
 Section: libs
 Homepage: https://delta.chat/
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/deltachat-core.git
 Vcs-Browser: https://salsa.debian.org/debian/deltachat-core

## deltachat-core 0.45.0+ds

=== meson_options.txt ===
--- 
+++ 
@@ -10,3 +10,9 @@
   value: false,
   description: 'Use bundled libetpan, as it ignores --wrap-mode=forcefallback'
 )
+option(
+  'rpgp',
+  type: 'boolean',
+  value: false,
+  description: '[experimental] Build with rpgp instead of netpgp'
+)
